/* Microsoft SQL Server - Scripting			*/
/* Server: JARLEPC					*/
/* Database: WARSVR					*/
/* Creation Date 5/29/98 4:11:05 AM 			*/

set quoted_identifier on
GO

/****** Object:  Table dbo.File    Script Date: 5/29/98 4:11:06 AM ******/
CREATE TABLE "dbo"."File" (
	"ID" "int" NOT NULL ,
	"FileName" varchar (255) NULL ,
	"FilePath" varchar (255) NULL ,
	"DlCnt" "int" NULL ,
	"UlCnt" "int" NULL ,
	"CreationDate" "datetime" NULL ,
	"ModifyDate" "datetime" NULL ,
	"LastDownloadDate" "datetime" NULL ,
	"OwnerID" binary (8) NULL ,
	"Permissions" "int" NULL ,
	"Comment" varchar (255) NULL ,
	"SessionID" "int" NULL ,
	"Fsys" char (8) NULL ,
	"FileSize" "int" NULL ,
	"UserPath" varchar (255) NULL ,
	CONSTRAINT "PK___2__38" PRIMARY KEY  CLUSTERED 
	(
		"ID"
	),
	CONSTRAINT "FileIDConstr" UNIQUE  NONCLUSTERED 
	(
		"ID"
	)
)
GO

 CREATE  INDEX "DlCntIdx" ON "dbo"."File"("DlCnt")
GO

 CREATE  INDEX "FileNameIdx" ON "dbo"."File"("FileName")
GO

 CREATE  INDEX "FilePathIdx" ON "dbo"."File"("FilePath")
GO

 CREATE  INDEX "FsysIdx" ON "dbo"."File"("Fsys")
GO

 CREATE  INDEX "OwnerIDIdx" ON "dbo"."File"("OwnerID")
GO

 CREATE  INDEX "SessionIDIdx" ON "dbo"."File"("SessionID")
GO

 CREATE  INDEX "UlCntIdx" ON "dbo"."File"("UlCnt")
GO

 CREATE  INDEX "UserPathIdx" ON "dbo"."File"("UserPath")
GO

/****** Object:  Table dbo.Session    Script Date: 5/29/98 4:11:06 AM ******/
CREATE TABLE "dbo"."Session" (
	"ID" "int" NOT NULL ,
	"UserID" binary (8) NOT NULL ,
	"LoginTime" "datetime" NULL ,
	"LogoutTime" "datetime" NULL ,
	"UserName" varchar (128) NULL ,
	"FromDomain" "int" NULL ,
	"FromDomainName" char (128) NULL ,
	"ServerID" binary (8) NULL ,
	"ServerName" char (32) NULL ,
	"SessionID" binary (8) NULL ,
	CONSTRAINT "PK___1__38" PRIMARY KEY  CLUSTERED 
	(
		"ID"
	),
	CONSTRAINT "IDConstr" UNIQUE  NONCLUSTERED 
	(
		"ID"
	)
)
GO

 CREATE  INDEX "SFromDomainNameIdx" ON "dbo"."Session"("FromDomainName")
GO

 CREATE  INDEX "SLoginTimeIdx" ON "dbo"."Session"("LoginTime")
GO

 CREATE  INDEX "SServerIDIdx" ON "dbo"."Session"("ServerID")
GO

 CREATE  INDEX "SServerNameIdx" ON "dbo"."Session"("ServerName", "LoginTime")
GO

 CREATE  INDEX "SUserIDIdx" ON "dbo"."Session"("UserID")
GO

 CREATE  INDEX "SUserNameIdx" ON "dbo"."Session"("UserName")
GO

/****** Object:  Table dbo.FileAccess    Script Date: 5/29/98 4:11:06 AM ******/
CREATE TABLE "dbo"."FileAccess" (
	"ID" "int" NOT NULL ,
	"FileID" "int" NOT NULL ,
	"UserID" binary (8) NOT NULL ,
	"Action" "smallint" NOT NULL ,
	"CPS" "int" NULL ,
	"AccessDate" "datetime" NULL ,
	"SessionID" "int" NULL ,
	CONSTRAINT "PK___3__38" PRIMARY KEY  CLUSTERED 
	(
		"ID"
	),
	CONSTRAINT "AccessIDConstr" UNIQUE  NONCLUSTERED 
	(
		"ID"
	),
	CONSTRAINT "FK_FileAccess_4__38" FOREIGN KEY 
	(
		"FileID"
	) REFERENCES "dbo"."File" (
		"ID"
	),
	CONSTRAINT "FK_FileAccess_5__38" FOREIGN KEY 
	(
		"SessionID"
	) REFERENCES "dbo"."Session" (
		"ID"
	)
)
GO

 CREATE  INDEX "AccessDateIdx" ON "dbo"."FileAccess"("AccessDate")
GO

 CREATE  INDEX "FileIDIdx" ON "dbo"."FileAccess"("FileID")
GO

 CREATE  INDEX "FileIDIdx2" ON "dbo"."FileAccess"("FileID", "Action")
GO

 CREATE  INDEX "SessionIDIdx2" ON "dbo"."FileAccess"("SessionID")
GO

 CREATE  INDEX "UserIDIdx" ON "dbo"."FileAccess"("UserID")
GO

